---
title: PushMessageData.blob()
slug: Web/API/PushMessageData/blob
tags:
  - API
  - Blob
  - Experimental
  - Method
  - Push
  - PushMessageData
  - Reference
  - Service Workers
---
<p>{{APIRef("Push API")}}{{SeeCompatTable()}}</p>

<p>The <code><strong>blob()</strong></code>method of the {{domxref("PushMessageData")}} interface extracts push message data as a {{domxref("Blob")}} object.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var myBlob = PushEvent.data.blob();</pre>

<h3 id="Parameters">Parameters</h3>

<p>None.</p>

<h3 id="Returns">Returns</h3>

<p>A {{domxref("Blob")}}.</p>

<h2 id="Examples">Examples</h2>

<pre class="brush: js">self.addEventListener('push', function(event) {
  var blob = event.data.blob();

  // do something with your Blob
});</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Push API', '#dom-pushmessagedata-blob', 'blob()')}}</td>
   <td>{{Spec2('Push API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_Compatibility">Browser Compatibility</h2>

<div>

<p>{{Compat("api.PushMessageData.blob")}}</p>
</div>
